<?php

namespace App\Enums;

enum RoutingNumberType: string
{
    case DomesticWire = 'domestic_wire';
    case WireTransfer = 'wire_transfer';
    case ElectronicDeposit = 'electronic_deposit';

    public function label(): string
    {
        return match ($this) {
            self::DomesticWire => 'Domestic Wire',
            self::WireTransfer => 'Wire Transfer',
            self::ElectronicDeposit => 'Electronic Deposits',
        };
    }
}
